Subject: [bug#31592] [PATCH 2/4] gnu: Add singularity.

From: Ricardo Wurmus <[email-masked]>
Date: Sun, 27 May 2018 20:14:34 +0200

Ludovic Courtès <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> skribis:
>
>> * gnu/packages/linux.scm (singularity): New variable.
>
> [...]
>
>> +    (propagated-inputs
>> +     `(("squashfs-tools" ,squashfs-tools)))
>
> Could we patch the code that invokes mksquashfs to use an absolute file
> name?  That way we wouldn’t need to propagate it.

Maybe.  It uses a shell function “singularity_which” to find it in the
PATH at runtime.  I don’t know in how many places this is done, but I
can try to patch all instances to use the absolute file name.

>> +    (home-page "https://singularity.lbl.gov/")
>> +    (synopsis "Container platform")
>> +    (description "Singularity is a container platform supporting a number of
>> +container image formats.")
>
> Would be nice to expound a little bit, like mentioning that it can
> be used to build images, to run code from Docker images, etc.

True.  I tried to get information on features from the Singularity
website, but it’s all very vague and uses too many marketing phrases.
I’ll try to come up with a better description.

--
Ricardo